# HG changeset patch
# User Akil Ayyappan<akil@multicorewareinc.com>
# Date 1554197472 -19800
#      Tue Apr 02 15:01:12 2019 +0530
# Node ID 23d2e2a198f46df95a42b5c2059e8b5ab93d1556
# Parent  3e5032228123c1898d408a30e45ac15eb687ffb6
Fix blocky artifacts in Linux

diff -r 3e5032228123 -r 23d2e2a198f4 source/encoder/analysis.cpp
--- a/source/encoder/analysis.cpp	Fri Mar 22 13:09:49 2019 +0530
+++ b/source/encoder/analysis.cpp	Tue Apr 02 15:01:12 2019 +0530
@@ -3696,7 +3696,7 @@
 
     // 2. Calculate ac component
     uint64_t z_k = 0;
-    int block = (int)((log(blockSize) / log(2)) - 2);
+    int block = (int)(((log(blockSize) / log(2)) - 2) + 0.5);
     primitives.cu[block].normFact(src, blockSize, shift, &z_k);
 
     // Remove the DC part
